

    /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
    *                                                                 *
    *   mfcalc 2.0, Extended GNU Bison Example #3                     *
    *   Copyright  2005 Sebastian Pipping <webmaster@hartwork.org>   *
    *                                                                 *
    *   --> http://www.hartwork.org                                   *
    *                                                                 *
    *                                                                 *
    *   This source code is released under GPL.                       *
    *   See GPL.txt for details.                         2005-02-23   *
    *                                                                 *
    \* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */



#ifndef __FUNCTIONS_H__
#define __FUNCTIONS_H__


#include "calc.h"


double OWN_above (double a, double b);
double OWN_avg (argrec * args);
double OWN_band (double a, double b);
double OWN_below (double a, double b);
double OWN_bnot (double x);
double OWN_bor (double a, double b);
double OWN_cmp (double a, double b);
double OWN_deg (double rad);
double OWN_equal (double a, double b);
double OWN_if (double cond, double yes, double no);
double OWN_intmod (double a, double b);
double OWN_ld (double x);
double OWN_max (argrec * args);
double OWN_min (argrec * args);
double OWN_rad (double deg);
double OWN_rnd ();
double OWN_sign (double x);
double OWN_sqr (double x);
double OWN_stdev (argrec * args);
double OWN_time ();
double OWN_var (argrec * args);


#endif // __FUNCTIONS_H__